SystemOrganization addCategory: #ConfigurationOfCormas!

Object subclass: #ConfigurationOfCormas
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfCormas'!

!ConfigurationOfCormas commentStamp: '<historical>' prior: 0!
Please comment me using the following template inspired by Class Responsibility Collaborator (CRC) design:

For the Class part:  State a one line summary. For example, "I represent a paragraph of text".

For the Responsibility part: Three sentences about my main responsibilities - what I do, what I know.

For the Collaborators Part: State my main collaborators and one line about how I interact with them. 

Public API and Key Messages

- message one   
- message two 
- (for bonus points) how to create instances.

   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.

    Instance Variables
	project:		<Object>


    Implementation Points!

!ConfigurationOfCormas class methodsFor: 'development support' stamp: 'jig08 1/31/2017 12:51:00'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfCormas class methodsFor: 'private' stamp: 'jig08 1/31/2017 12:51:00'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfCormas class methodsFor: 'metacello tool support' stamp: 'jig08 1/31/2017 12:51:00'!
catalogContactInfo
	^ 'Serge Stinckwich <serge.stinckwich@gmail.com>'! !

!ConfigurationOfCormas class methodsFor: 'metacello tool support' stamp: 'jig08 1/31/2017 12:51:00'!
catalogDescription
	^ 'CORMAS is an agent-based simulation framework. More info on: https://github.com/cormas/cormas'! !

!ConfigurationOfCormas class methodsFor: 'metacello tool support' stamp: 'jig08 1/31/2017 12:51:00'!
catalogKeywords
	^ #('simulation' 'agent' 'Roassal')! !

!ConfigurationOfCormas class methodsFor: 'private' stamp: 'jig08 1/31/2017 12:51:00'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfCormas class methodsFor: 'private' stamp: 'jig08 1/31/2017 12:51:00'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfCormas class methodsFor: 'metacello tool support' stamp: 'jig08 1/31/2017 12:51:00'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfCormas class methodsFor: 'loading' stamp: 'jig08 1/31/2017 12:51:00'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfCormas class methodsFor: 'loading' stamp: 'jig08 1/31/2017 12:51:00'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfCormas class methodsFor: 'loading' stamp: 'jig08 1/31/2017 12:51:00'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfCormas class methodsFor: 'accessing' stamp: 'jig08 1/31/2017 12:51:00'!
project

	^self new project! !

!ConfigurationOfCormas class methodsFor: 'development support' stamp: 'jig08 1/31/2017 12:51:00'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'HernanMoralesDurand 1/7/2018 19:16'!
baseline010: spec
	<version: '0.10-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec preLoadDoIt: #preLoad.
		spec postLoadDoIt: #postLoad.
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
		spec 
			baseline: 'ClassEditor' 
			with: [ spec repository: 'github://openponk/class-editor/repository' ];
			baseline: 'FileDialog'
			with: [ spec repository: 'github://peteruhnak/file-dialog/repository' ];
			project: 'CodeGenerator' with: [
				spec
					className: #ConfigurationOfCodeGenerator;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/hernan/CodeGenerator/main/' ];
			project: 'ProjectFramework' with: [
				spec
					className: #ConfigurationOfProjectFramework;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/hernan/ProjectFramework/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo60/main/' ];
			project: 'SpecUIAddOns' with: [
				spec
					className: #ConfigurationOfSpecUIAddOns;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/hernan/SpecUIAddOns/main/' ];
			project: 'Tabular' with: [
				spec
					className: #ConfigurationOfTabular;
					versionString: #'development';
					repository: 'http://ss3.gemtalksystems.com/ss/Tabular' ].
		spec 
			package: 'Cormas-Core';
			package: 'Cormas-Model-Conway';
			package: 'Cormas-Model-Diffuse';
			package: 'Cormas-Model-ECEC';
			package: 'Cormas-Model-FireAutomata';
			package: 'Cormas-Tests';
			package: 'Cormas-UI' with: [
				spec requires: #('FileDialog' 'ProjectFramework' 'CodeGenerator' 'Roassal2' ). ];
			package: #'Cormas-VW-Ported'.
		spec 
			group: 'All' with: #(#'Cormas-VW-Ported' 'Cormas-UI' 'Cormas-Tests' 'Cormas-Model-FireAutomata' 'Cormas-Model-ECEC' 'Cormas-Model-Conway' 'Cormas-Core' 'ClassEditor' 'Cormas-Model-Diffuse');
			group: 'Core' with: #('Cormas-Core' );
			group: 'Models' with: #('Cormas-Model-Conway' 'Cormas-Core' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' );
			group: 'Tests' with: #('Cormas-Core' 'Cormas-Tests' );
			group: 'UI' with: #(#'Cormas-UI' 'Cormas-Core' 'Cormas-Model-Conway' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' ). ].
! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'HernanMoralesDurand 1/27/2018 17:22'!
baseline011: spec
	<version: '0.11-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec preLoadDoIt: #preLoad.
		spec postLoadDoIt: #postLoad.		
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
 		spec 
			baseline: 'ClassEditor' 
			with: [ spec repository: 'github://openponk/class-editor/repository' ];
			baseline: 'FileDialog'
			with: [ spec repository: 'github://peteruhnak/file-dialog/repository' ];

			project: 'CodeGenerator' with: [
				spec
					className: #ConfigurationOfCodeGenerator;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/hernan/CodeGenerator/main/' ];
			project: 'ProjectFramework' with: [
				spec
					className: #ConfigurationOfProjectFramework;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/hernan/ProjectFramework/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo60/main/' ];
			project: 'SpecUIAddOns' with: [
				spec
					className: #ConfigurationOfSpecUIAddOns;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/hernan/SpecUIAddOns/main/' ];
			project: 'Tabular' with: [
				spec
					className: #ConfigurationOfTabular;
					versionString: #'development';
					repository: 'http://ss3.gemtalksystems.com/ss/Tabular' ].
		spec 
			package: 'Cormas-Core';
			package: 'Cormas-Model-Conway';
			package: #'Cormas-Model-DemoAggregates';
			package: 'Cormas-Model-Diffuse';
			package: 'Cormas-Model-ECEC';
			package: 'Cormas-Model-FireAutomata';
			package: 'Cormas-Tests';
			package: 'Cormas-UI' with: [
				spec requires: #('FileDialog' 'ProjectFramework' 'CodeGenerator' 'Roassal2' ). ];
			package: #'Cormas-VW-Ported'.
		spec 
			group: 'All' with: #(#'Cormas-VW-Ported' 'Cormas-UI' 'Cormas-Tests' 'Cormas-Model-FireAutomata' 'Cormas-Model-ECEC' 'Cormas-Model-Conway' 'Cormas-Core' 'ClassEditor' 'Cormas-Model-Diffuse' #'Cormas-Model-DemoAggregates' );
			group: 'Core' with: #('Cormas-Core' );
			group: 'Models' with: #('Cormas-Model-Conway' 'Cormas-Core' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' #'Cormas-Model-DemoAggregates' );
			group: 'Tests' with: #('Cormas-Core' 'Cormas-Tests' );
			group: 'UI' with: #(#'Cormas-UI' 'Cormas-Core' 'Cormas-Model-Conway' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' #'Cormas-Model-DemoAggregates' ). ].
! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'HernanMoralesDurand 4/6/2018 23:33'!
baseline012: spec
	<version: '0.12-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec preLoadDoIt: #preLoad.
		spec postLoadDoIt: #postLoad.		
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
 		spec 
			baseline: 'ClassEditor' 
			with: [ spec repository: 'github://openponk/class-editor/repository' ];
			baseline: 'FileDialog'
			with: [ spec repository: 'github://peteruhnak/file-dialog/repository' ];
			baseline: 'ProjectFramework' 
			with: [ spec repository: 'github://hernanmd/ProjectFramework/repository' ];
			baseline: 'SpecUIAddOns' 
			with: [ spec repository: 'github://hernanmd/SpecUIAddOns/repository' ];
			baseline: 'CodeGenerator' 
			with: [ spec repository: 'github://hernanmd/CodeGenerator/repository' ];

			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo60/main/' ];
			project: 'Tabular' with: [
				spec
					className: #ConfigurationOfTabular;
					versionString: #'development';
					repository: 'http://ss3.gemtalksystems.com/ss/Tabular' ].
		spec 
			package: 'Cormas-Core';
			package: 'Cormas-Model-Conway';
			package: #'Cormas-Model-DemoAggregates';
			package: 'Cormas-Model-Diffuse';
			package: 'Cormas-Model-ECEC';
			package: 'Cormas-Model-FireAutomata';
			package: 'Cormas-Tests';
			package: 'Cormas-UI' with: [
				spec requires: #('FileDialog' 'ProjectFramework' 'CodeGenerator' 'Roassal2' ). ];
			package: #'Cormas-VW-Ported'.
		spec 
			group: 'All' with: #(#'Cormas-VW-Ported' 'Cormas-UI' 'Cormas-Tests' 'Cormas-Model-FireAutomata' 'Cormas-Model-ECEC' 'Cormas-Model-Conway' 'Cormas-Core' 'ClassEditor' 'Cormas-Model-Diffuse' #'Cormas-Model-DemoAggregates' );
			group: 'Core' with: #('Cormas-Core' );
			group: 'Models' with: #('Cormas-Model-Conway' 'Cormas-Core' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' #'Cormas-Model-DemoAggregates' );
			group: 'Tests' with: #('Cormas-Core' 'Cormas-Tests' );
			group: 'UI' with: #(#'Cormas-UI' 'Cormas-Core' 'Cormas-Model-Conway' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' #'Cormas-Model-DemoAggregates' ). ].
! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'jig08 1/31/2017 12:51:00'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
		spec 
			package: 'Cormas-Core';
			package: 'Cormas-Tests-Core';
			package: 'Cormas-model-ECEC'. ].
! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'jig08 1/31/2017 12:51:00'!
baseline02: spec
	<version: '0.2-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
			spec
				package: 'Cormas-Core';
				package: 'Cormas-HotDraw-Tools';
				package: 'Cormas-Tests-Core';
				package: 'Cormas-Model-ECEC';
				package: 'Cormas-Model-Conway';
				package: 'Cormas-Model-FireAutomata' ]! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'jig08 1/31/2017 12:51:00'!
baseline03: spec
	<version: '0.3-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
			spec
				package: 'Cormas-Core';
				package: 'Cormas-HotDraw-Tools';
				package: 'Cormas-Model-ECEC';
				package: 'Cormas-Model-Conway';
				package: 'Cormas-Model-FireAutomata' ]! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'jig08 1/31/2017 12:51:00'!
baseline04: spec
	<version: '0.4-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
			spec
				package: 'Cormas-Core';
				package: 'Cormas-Model-ECEC';
				package: 'Cormas-Model-Conway';
				package: 'Cormas-Model-FireAutomata' ]! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'HernanMoralesDurand 1/1/2018 19:05'!
baseline05: spec
	<version: '0.5-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
		spec preLoadDoIt: #preLoad.
"		spec baseline: 'DeployUtils' with: [
			spec repository: 'github://fstephany/DeployUtils/repository' ].		"
		spec 
			project: 'ProjectFramework' with: [
				spec
					className: #ConfigurationOfProjectFramework;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/hernan/ProjectFramework/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo60/main/' ];
			project: 'SpecUIAddOns' with: [
				spec
					className: #ConfigurationOfSpecUIAddOns;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/hernan/SpecUIAddOns/main/' ].
		spec 
			package: 'Cormas-Core';
			package: 'Cormas-Model-Conway';
			package: 'Cormas-Model-ECEC';
			package: 'Cormas-Model-FireAutomata';
			package: 'Cormas-Tests';
			package: 'Cormas-UI';
			package: #'Cormas-VW-Ported'.
		spec 
			group: 'All' with: #(#'Cormas-VW-Ported' 'Cormas-UI' 'Cormas-Tests' 'Cormas-Model-FireAutomata' 'Cormas-Model-ECEC' 'Cormas-Model-Conway' 'Cormas-Core' );
			group: 'Core' with: #('Cormas-Core' );
			group: 'Models' with: #('Cormas-Model-Conway' 'Cormas-Core' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' );
			group: 'Tests' with: #('Cormas-Core' 'Cormas-Tests' );
			group: 'UI' with: #(#'Cormas-UI' 'Cormas-Core' 'Cormas-Model-Conway' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' ). ].
! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'HernanMoralesDurand 1/1/2018 19:05'!
baseline06: spec
	<version: '0.6-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
		spec postLoadDoIt: #preLoad.
"		spec baseline: 'DeployUtils' with: [
			spec repository: 'github://fstephany/DeployUtils/repository'].
		spec import: 'DeployUtils'."
"		spec 
			project: 'DeployUtils' with: [
				spec
					className: #DeployUtils;
					versionString: 'baseline';				
					repository: 'github://fstephany/DeployUtils/repository' ];
"
		spec 
			project: 'ProjectFramework' with: [
				spec
					className: #ConfigurationOfProjectFramework;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/hernan/ProjectFramework/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo60/main/' ];
			project: 'SpecUIAddOns' with: [
				spec
					className: #ConfigurationOfSpecUIAddOns;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/hernan/SpecUIAddOns/main/' ].
		spec 
			package: 'Cormas-Core';
			package: 'Cormas-Model-Conway';
			package: 'Cormas-Model-Diffuse';
			package: 'Cormas-Model-ECEC';
			package: 'Cormas-Model-FireAutomata';
			package: 'Cormas-Tests';
			package: 'Cormas-UI';
			package: #'Cormas-VW-Ported'.
		spec 
			group: 'All' with: #(#'Cormas-VW-Ported' 'Cormas-UI' 'Cormas-Tests' 'Cormas-Model-FireAutomata' 'Cormas-Model-ECEC' 'Cormas-Model-Conway' 'Cormas-Core' );
			group: 'Core' with: #('Cormas-Core');
			group: 'Models' with: #('Cormas-Model-Conway' 'Cormas-Core' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' );
			group: 'Tests' with: #('Cormas-Core' 'Cormas-Tests' );
			group: 'UI' with: #(#'Cormas-UI' 'Cormas-Core' 'Cormas-Model-Conway' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' ). ].
! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'HernanMoralesDurand 1/1/2018 19:05'!
baseline07: spec
	<version: '0.7-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
		spec postLoadDoIt: #preLoad.		
		spec 
			project: 'CodeGenerator' with: [
				spec
					className: #ConfigurationOfCodeGenerator;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/hernan/CodeGenerator/main/' ];
			project: 'ProjectFramework' with: [
				spec
					className: #ConfigurationOfProjectFramework;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/hernan/ProjectFramework/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo60/main/' ];
			project: 'SpecUIAddOns' with: [
				spec
					className: #ConfigurationOfSpecUIAddOns;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/hernan/SpecUIAddOns/main/' ].
		spec 
			package: 'Cormas-Core';
			package: 'Cormas-Model-Conway';
			package: 'Cormas-Model-Diffuse';
			package: 'Cormas-Model-ECEC';
			package: 'Cormas-Model-FireAutomata';
			package: 'Cormas-Tests';
			package: 'Cormas-UI' with: [
				spec requires: #('ProjectFramework' ). ];
			package: #'Cormas-VW-Ported'.
		spec 
			group: 'All' with: #(#'Cormas-VW-Ported' 'Cormas-UI' 'Cormas-Tests' 'Cormas-Model-FireAutomata' 'Cormas-Model-ECEC' 'Cormas-Model-Conway' 'Cormas-Core' );
			group: 'Core' with: #('Cormas-Core' );
			group: 'Models' with: #('Cormas-Model-Conway' 'Cormas-Core' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' );
			group: 'Tests' with: #('Cormas-Core' 'Cormas-Tests' );
			group: 'UI' with: #(#'Cormas-UI' 'Cormas-Core' 'Cormas-Model-Conway' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' ). ].
! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'HernanMoralesDurand 1/1/2018 19:05'!
baseline08: spec
	<version: '0.8-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
		spec postLoadDoIt: #preLoad.		
		spec 
			project: 'CodeGenerator' with: [
				spec
					className: #ConfigurationOfCodeGenerator;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/hernan/CodeGenerator/main/' ];
			project: 'ProjectFramework' with: [
				spec
					className: #ConfigurationOfProjectFramework;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/hernan/ProjectFramework/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo60/main/' ];
			project: 'SpecUIAddOns' with: [
				spec
					className: #ConfigurationOfSpecUIAddOns;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/hernan/SpecUIAddOns/main/' ].
		spec 
			package: 'Cormas-Core';
			package: 'Cormas-Model-Conway';
			package: 'Cormas-Model-Diffuse';
			package: 'Cormas-Model-ECEC';
			package: 'Cormas-Model-FireAutomata';
			package: 'Cormas-Tests';
			package: 'Cormas-UI' with: [
				spec requires: #('ProjectFramework' ). ];
			package: #'Cormas-VW-Ported'.
		spec 
			group: 'All' with: #(#'Cormas-VW-Ported' 'Cormas-UI' 'Cormas-Tests' 'Cormas-Model-FireAutomata' 'Cormas-Model-ECEC' 'Cormas-Model-Conway' 'Cormas-Core');
			group: 'Core' with: #('Cormas-Core' );
			group: 'Models' with: #('Cormas-Model-Conway' 'Cormas-Core' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' );
			group: 'Tests' with: #('Cormas-Core' 'Cormas-Tests' );
			group: 'UI' with: #(#'Cormas-UI' 'Cormas-Core' 'Cormas-Model-Conway' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' ). ].
! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'HernanMoralesDurand 1/1/2018 19:05'!
baseline09: spec
	<version: '0.9-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
		spec postLoadDoIt: #preLoad.		
		spec 
			baseline: 'ClassEditor' 
			with: [ spec repository: 'github://openponk/class-editor/repository' ];
			project: 'CodeGenerator' with: [
				spec
					className: #ConfigurationOfCodeGenerator;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/hernan/CodeGenerator/main/' ];
			project: 'ProjectFramework' with: [
				spec
					className: #ConfigurationOfProjectFramework;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/hernan/ProjectFramework/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo60/main/' ];
			project: 'SpecUIAddOns' with: [
				spec
					className: #ConfigurationOfSpecUIAddOns;
					versionString: #'bleedingEdge';
					repository: 'http://smalltalkhub.com/mc/hernan/SpecUIAddOns/main/' ].
		spec 
			package: 'Cormas-Core';
			package: 'Cormas-Model-Conway';
			package: 'Cormas-Model-Diffuse';
			package: 'Cormas-Model-ECEC';
			package: 'Cormas-Model-FireAutomata';
			package: 'Cormas-Tests';
			package: 'Cormas-UI' with: [
				spec requires: #('ProjectFramework' 'CodeGenerator' 'Roassal2'). ];
			package: #'Cormas-VW-Ported'.
		spec 
			group: 'All' with: #(#'Cormas-VW-Ported' 'Cormas-UI' 'Cormas-Tests' 'Cormas-Model-FireAutomata' 'Cormas-Model-ECEC' 'Cormas-Model-Conway' 'Cormas-Core' 'ClassEditor');
			group: 'Core' with: #('Cormas-Core' );
			group: 'Models' with: #('Cormas-Model-Conway' 'Cormas-Core' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' );
			group: 'Tests' with: #('Cormas-Core' 'Cormas-Tests' );
			group: 'UI' with: #(#'Cormas-UI' 'Cormas-Core' 'Cormas-Model-Conway' 'Cormas-Model-ECEC' 'Cormas-Model-FireAutomata' 'Cormas-Model-Diffuse' ). ].
! !

!ConfigurationOfCormas methodsFor: 'doits' stamp: 'HernanMoralesDurand 1/8/2018 00:57'!
closePharoWelcomeWindow
	" Pharo 6.x version "

	World submorphs
		select: [ : sm | 
			sm isSystemWindow 
				and: [ sm label = PharoWelcomePage title
					or: [ sm label endsWith: 'Welcome' ] ] ]
		thenDo: [ : window | window delete ].! !

!ConfigurationOfCormas methodsFor: 'accessing' stamp: 'jig08 1/31/2017 12:51:00'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfCormas methodsFor: 'symbolic versions' stamp: 'HernanMoralesDurand 4/5/2018 11:54'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.12-baseline'.
! !

!ConfigurationOfCormas methodsFor: 'doits' stamp: 'HernanMoralesDurand 1/1/2018 19:15'!
ensureMetacelloFileDownload

	Metacello new
		baseline: 'MetacelloFileDownload';
		repository: 'github://hernanmd/MetacelloFileDownload';
		load.! !

!ConfigurationOfCormas methodsFor: 'doits' stamp: 'HernanMoralesDurand 1/8/2018 22:13'!
platformFilesUrl
	" Private - See superimplementor's comment "

	| urlPrefix |
	urlPrefix := 'https://github.com/hernanmd/cormas/raw/master/resources/'.
	^ #('CORMAS_Graphics' 'CORMAS_Models' 'CORMAS_Installer_Bootstrap') collect: [ : file |
		(String streamContents: [ : stream |		
			stream
				nextPutAll: urlPrefix;
				nextPutAll: file;
				nextPutAll: (Smalltalk os isWin32 ifTrue: [ '.zip' ] ifFalse: [ '.tar.gz' ]) ]) ]! !

!ConfigurationOfCormas methodsFor: 'doits' stamp: 'HernanMoralesDurand 1/8/2018 01:19'!
postLoad
	" Private - Execute post install actions "

	self closePharoWelcomeWindow.
	(Smalltalk at: #PFProjectApplication) applicationClass: (Smalltalk at: #CMApplicationProject).
	(Smalltalk at: #FDMorphicUIManager) new beDefault.
	"TaskbarMorph showTaskbar: false."
	self unloadPackages.
! !

!ConfigurationOfCormas methodsFor: 'doits' stamp: 'HernanMoralesDurand 1/1/2018 19:21'!
preLoad
	" Private - Execute post install actions "

	self ensureMetacelloFileDownload.
	super preLoad.
	self preLoadConfiguration.	
! !

!ConfigurationOfCormas methodsFor: 'doits' stamp: 'HernanMoralesDurand 1/3/2018 00:18'!
preLoadConfiguration

	| logoFilename |
	(logoFilename := 'CormasLogoFull.png') asFileReference exists 
		ifTrue: [ PolymorphSystemSettings desktopLogoFileName: logoFilename ].
	Smalltalk tools debugger
		alwaysOpenFullDebugger: true;
		filterCommonMessageSends: true.
	Pharo3Theme beCurrent.


! !

!ConfigurationOfCormas methodsFor: 'accessing' stamp: 'jig08 1/31/2017 12:51:00'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfCormas methodsFor: 'symbolic versions' stamp: 'SergeStinckwich 1/9/2018 09:50'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.30'.
! !

!ConfigurationOfCormas methodsFor: 'doits' stamp: 'HernanMoralesDurand 1/8/2018 00:46'!
unloadPackages

	(RPackageOrganizer default packageNames select: [ :each | each endsWith: '-Help' ]) do: [ :each | (MCPackage named: each) unload ].
	(MCPackage named: 'MonticelloMocks') unload.	
	(MCPackage named: 'ToolsTest') unload.	
	(MCPackage named: 'Announcements-Tests-Core') unload.	
	(MCPackage named: 'AST-Tests-Core') unload.	
	(MCPackage named: 'AST-Interpreter-Test') unload.	
	(MCPackage named: 'Ring-Tests-Containers') unload.	
	(MCPackage named: 'Ring-Tests-Kernel') unload.	
	(MCPackage named: 'Ring-Tests-Monticello') unload.	
	(MCPackage named: 'Regex-Tests-Core') unload.	
	(MCPackage named: 'Refactoring-Tests-Changes') unload.	
	(MCPackage named: 'Refactoring-Tests-Core') unload.	
	(MCPackage named: 'Refactoring-Tests-Critics') unload.	
	(MCPackage named: 'Refactoring-Tests-Environment') unload.	
	(MCPackage named: 'FileSystem-Tests-Core') unload.	
	(MCPackage named: 'FileSystem-Tests-Disk') unload.	
	(MCPackage named: 'FileSystem-Tests-Memory') unload.		
	
	(MCPackage named: 'GT-Tests-Inspector') unload.		
	(MCPackage named: 'Glamour-Tests-Core') unload.		
	(MCPackage named: 'Glamour-Tests-Morphic') unload.		
	(MCPackage named: 'Glamour-Tests-Resources') unload.		
	(MCPackage named: 'Glamour-Tests-Rubric') unload.	
			
	(MCPackage named: 'Versionner-Tests-Core-Commands') unload.	
	(MCPackage named: 'Versionner-Tests-Core-DependenciesModel') unload.	
	(MCPackage named: 'Versionner-Tests-Core-Model') unload.			
	(MCPackage named: 'Versionner-Tests-Resources') unload.		
	! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version010: spec
	<version: '0.10' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.10'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/21/2015 17:20'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.75';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.6'. ]
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version011: spec
	<version: '0.11' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.11'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/22/2015 09:43'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.76';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.6'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version012: spec
	<version: '0.12' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.12'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '5/26/2015 16:58'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.91';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.10';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.9'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version013: spec
	<version: '0.13' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.13'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '5/29/2015 07:28'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.100';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.10';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.9'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version014: spec
	<version: '0.14' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.14'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '6/2/2015 09:14'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.110';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.12';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.7';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.13'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version015: spec
	<version: '0.15' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.15'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '11/19/2015 15:10'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-nbecu.119';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-nbecu.16';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-nbecu.8';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-nbecu.14'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version016: spec
	<version: '0.16' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.16'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-03-26T19:27:23.016354+01:00'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.120';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-nbecu.16';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.9';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.15'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version017: spec
	<version: '0.17' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.17'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-03-28T18:09:07.844913+02:00'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.128';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-nbecu.16';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.9';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.15'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version018: spec
	<version: '0.18' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.18'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-03-29T22:26:32.95006+02:00'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.128';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.17';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.11';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.17'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version019: spec
	<version: '0.19' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.19'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-04-01T19:35:03.034345+02:00'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.135';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.17';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.13';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.21'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.1'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '1/6/2015 10:33'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.5';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.2';
			package: 'Cormas-model-ECEC' with: 'Cormas-model-ECEC-SergeStinckwich.2'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version020: spec
	<version: '0.20' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.20'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-04-03T15:26:10.057156+02:00'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.137';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.19';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.15';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.22'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version021: spec
	<version: '0.21' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.21'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-04-03T16:29:05.819741+02:00'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.137';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.19';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.15';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.22';
			package: 'Cormas-Model-Diffuse' with:'Cormas-Model-Diffuse-SergeStinckwich.1'.]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version022: spec
	<version: '0.22' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.22'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-09-20T09:41:32.621469+02:00'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-NickPapoulias.148';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.19';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.15';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-NickPapoulias.48';
			package: 'Cormas-Model-Diffuse' with:'Cormas-Model-Diffuse-SergeStinckwich.1'.]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version023: spec
	<version: '0.23' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.23'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-09-20T10:42:49.209289+02:00'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.149';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.19';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.15';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-NickPapoulias.48';
			package: 'Cormas-Model-Diffuse' with:'Cormas-Model-Diffuse-SergeStinckwich.1'.]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version024: spec
	<version: '0.24' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.24'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '2016-09-20T16:59:20.243186+02:00'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.153';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-NickPapoulias.34';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.15';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-NickPapoulias.49';
			package: 'Cormas-Model-Diffuse' with:'Cormas-Model-Diffuse-SergeStinckwich.1'.]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'HernanMoralesDurand 11/8/2017 14:46'!
version025: spec
	<version: '0.25' imports: #('0.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.25'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '9/20/2017 15:49'.
		spec 
"			baseline: 'DeployUtils' ;"
			project: 'ProjectFramework' with: '1.2';
			project: 'Roassal2' with: '1.49';
			project: 'SpecUIAddOns' with: '0.2-baseline'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-HernanMoralesDurand.158';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.15';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-JigyasaGrover.36';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-NickPapoulias.49';
			package: 'Cormas-Tests' with: 'Cormas-Tests-SergeStinckwich.3';
			package: 'Cormas-UI' with: 'Cormas-UI-HernanMoralesDurand.14';
			package: #'Cormas-VW-Ported' with: 'Cormas-VW-Ported-HernanMoralesDurand.1'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'HernanMoralesDurand 11/8/2017 14:46'!
version026: spec
	<version: '0.26' imports: #('0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.26'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '9/20/2017 16:21'.
		spec 
"			project: 'DeployUtils' with: 'baseline';"
			project: 'ProjectFramework' with: '1.2';
			project: 'Roassal2' with: '1.49';
			project: 'SpecUIAddOns' with: '0.2-baseline'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-HernanMoralesDurand.158';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.15';
			package: 'Cormas-Model-Diffuse' with: 'Cormas-Model-Diffuse-SergeStinckwich.2';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-JigyasaGrover.36';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-NickPapoulias.49';
			package: 'Cormas-Tests' with: 'Cormas-Tests-SergeStinckwich.3';
			package: 'Cormas-UI' with: 'Cormas-UI-HernanMoralesDurand.14';
			package: #'Cormas-VW-Ported' with: 'Cormas-VW-Ported-HernanMoralesDurand.1'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'HernanMoralesDurand 11/8/2017 14:44'!
version027: spec
	<version: '0.27' imports: #('0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.27'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '9/21/2017 12:04'.
		spec 
"			project: 'DeployUtils' with: 'baseline';"
			project: 'ProjectFramework' with: '1.2';
			project: 'Roassal2' with: '1.49';
			project: 'SpecUIAddOns' with: '0.2-baseline'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-HernanMoralesDurand.158';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.15';
			package: 'Cormas-Model-Diffuse' with: 'Cormas-Model-Diffuse-SergeStinckwich.2';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-JigyasaGrover.36';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-NickPapoulias.49';
			package: 'Cormas-Tests' with: 'Cormas-Tests-SergeStinckwich.3';
			package: 'Cormas-UI' with: 'Cormas-UI-HernanMoralesDurand.16';
			package: #'Cormas-VW-Ported' with: 'Cormas-VW-Ported-HernanMoralesDurand.1'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'HernanMoralesDurand 12/31/2017 00:00'!
version028: spec
	<version: '0.28' imports: #('0.8-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.28'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '12/18/2017 10:28'.
		spec 
			project: 'CodeGenerator' with: '1.1-baseline';
			project: 'ProjectFramework' with: '1.2';
			project: 'Roassal2' with: '1.52';
			project: 'SpecUIAddOns' with: '1.0'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-HernanMoralesDurand.158';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.15';
			package: 'Cormas-Model-Diffuse' with: 'Cormas-Model-Diffuse-SergeStinckwich.2';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-JigyasaGrover.36';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-NickPapoulias.49';
			package: 'Cormas-Tests' with: 'Cormas-Tests-SergeStinckwich.3';
			package: 'Cormas-UI' with: 'Cormas-UI-HernanMoralesDurand.16';
			package: #'Cormas-VW-Ported' with: 'Cormas-VW-Ported-HernanMoralesDurand.1'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'HernanMoralesDurand 12/30/2017 19:35'!
version029: spec
	<version: '0.29' imports: #('0.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.29'.
		spec author: 'HernanMoralesDurand'.
		spec timestamp: '12/31/2017 19:35'.
		spec 
			baseline: 'ClassEditor';
			project: 'CodeGenerator' with: '1.1-baseline';
			project: 'ProjectFramework' with: '1.2';
			project: 'Roassal2' with: '1.52';
			project: 'SpecUIAddOns' with: '1.0'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-HernanMoralesDurand.158';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.15';
			package: 'Cormas-Model-Diffuse' with: 'Cormas-Model-Diffuse-SergeStinckwich.2';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-JigyasaGrover.36';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-NickPapoulias.49';
			package: 'Cormas-Tests' with: 'Cormas-Tests-SergeStinckwich.3';
			package: 'Cormas-UI' with: 'Cormas-UI-HernanMoralesDurand.16';
			package: #'Cormas-VW-Ported' with: 'Cormas-VW-Ported-HernanMoralesDurand.1'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/10/2017 19:27'!
version02: spec
	<version: '0.2' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.2'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '3/31/2015 19:30'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.34';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.4';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.4';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.3';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.3'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 1/9/2018 09:50'!
version030: spec
	<version: '0.30' imports: #('0.10-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.30'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '1/9/2018 09:50'.
		spec 
			baseline: 'ClassEditor' ;
			baseline: 'FileDialog' ;
			project: 'CodeGenerator' with: '1.3';
			project: 'ProjectFramework' with: '1.2';
			project: 'Roassal2' with: '1.55';
			project: 'SpecUIAddOns' with: '1.0';
			project: 'Tabular' with: '0.2-baseline'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-HernanMoralesDurand.173';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-HernanMoralesDurand.16';
			package: 'Cormas-Model-Diffuse' with: 'Cormas-Model-Diffuse-HernanMoralesDurand.3';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-HernanMoralesDurand.39';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-HernanMoralesDurand.52';
			package: 'Cormas-Tests' with: 'Cormas-Tests-SergeStinckwich.3';
			package: 'Cormas-UI' with: 'Cormas-UI-HernanMoralesDurand.46';
			package: #'Cormas-VW-Ported' with: 'Cormas-VW-Ported-HernanMoralesDurand.6'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/10/2017 19:27'!
version03: spec
	<version: '0.3' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.3'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/1/2015 15:54'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.35';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.4';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.4';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.3';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.3'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/10/2017 19:27'!
version04: spec
	<version: '0.4' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.4'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 10:26'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.37';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.4';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.4';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.3';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.3'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/10/2017 19:27'!
version05: spec
	<version: '0.5' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 13:31'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.38';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.4';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.3';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.3'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version06: spec
	<version: '0.6' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.6'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 20:02'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.43';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.3';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.5'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version07: spec
	<version: '0.7' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.7'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 20:55'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.44';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.6';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.6'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version08: spec
	<version: '0.8' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.8'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 21:43'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.46';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.6';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.6'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'jig08 1/31/2017 12:51:00'!
version09: spec
	<version: '0.9' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.9'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 21:43'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.46';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.6'. ]
! !
